Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77157 - anaconda doesn't see Adaptec 5400S RAID device
Summary: anaconda doesn't see Adaptec 5400S RAID device
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-01 21:31 UTC by Dan Dunham
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-02 02:10:33 UTC


Attachments (Terms of Use)
patch to fix anaconda Adaptec 5300s RAID controller problem (deleted)
2002-11-02 02:10 UTC, Dan Dunham
no flags Details | Diff

Description Dan Dunham 2002-11-01 21:31:49 UTC
Description of Problem:
I am attempting to kickstart a box with an Adaptec 5400S RAID card, which has a
single 100GB logical raid device defined.  The aacraid module loads fine, but
I'm getting the error: "no valid devices were found on which to create new
filesystems".  If I break into the shell (alt-F2), I see that anaconda has
created a /tmp/sda device file, and I am able to fdisk this and create
filesystems on the device (which further indicates to me that the aacraid module
is not the issue).

Version-Release number of selected component (if applicable):
Redhat 7.2

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Dan Dunham 2002-11-02 02:07:08 UTC
I have tracked this down further.  It appears that this particular controller
reports itself as removable, so the device gets taken off the disklist.  There
is a hack in isys.c to work around this problem for the DELL and HP OEM versions
of the controller.  The attached patch extends this fix to the Adaptec version
of the controller.



Comment 2 Dan Dunham 2002-11-02 02:10:27 UTC
Created attachment 83124 [details]
patch to fix anaconda Adaptec 5300s RAID controller problem

Comment 3 Michael Fulbright 2002-11-04 22:31:43 UTC
This was fixed several releases ago.


Note You need to log in before you can comment on or make changes to this bug.